Intents matches statistics

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Get for each intent the matches statistics for a given period

Response

AttributeTypeDescription
data[].typestringalways "intent_match_stats"
data[].intentIDstringthe intent id
data[].intentNamestringthe intent name
data[].matchesCountintthe number of matches
data[].matchesPercentfloatthe matches percent
{
    "data": [
        {
            "type": "intent_match_stats",
            "intentID": "a2a2a2a2a2a2a2a2a2a2a2a2",
            "intentName": "intent_stat_test",
            "matchesCount": 17,
            "matchesPercent": 0.298245614
        },
        {
            "type": "intent_match_stats",
            "intentID": "b1b1b1b1b1b1b1b1b1b1b1b1",
            "intentName": "intent_stat_test",
            "matchesCount": 25,
            "matchesPercent": 0.4385964912
        },
    ]
}
Path Params
string
required

a bot ID

Query Params
string
required

define the start date of the analysis, format must be %Y-%m-%d

string
required

define the end date of the analysis, format must be %Y-%m-%d.

intent_ids
array of strings
Defaults to []

define the targeted intents of the analyze (comma separated list of intent IDs)

intent_ids
string

define the order (can be +matches_percent or -matches_percent default order is DESC)

int32
Defaults to 1

the page number

int32

define the number of returned results

Responses

Language
LoadingLoading…
Response
Choose an example:
application/json